Subject: RE: [netatalk-admins] More help with ASUN21 on Solaris26

From: Marc Matteo <[email-masked]>
Date: Mon, 23 Nov 1998 18:03:03 -0800

>2. Added -DSHADOWPW flag in the etc/afpd/makefile.

Where does it say to do that?

I haven't done that at all and my netatalk-1.4b2+asun2.1.0 works fine.

Marc
> ----------
> From: 	Kao Wang
> Sent: 	Monday, November 23, 1998 3:30 PM
> To: 	[email-masked]
> Subject: 	[netatalk-admins] More help with ASUN21 on Solaris26
> 
> Thanks to all of you who helped me diagnosing my problem.  Unfortunately,
> the problem persists and I am looking for additional help.  Here is my
> situation:
> 
> Solaris 2.6 on Ultra 10 trying to run Netatalk 1.4b2+asun2.1.0.
> 
> Following the README and instructions from others, I have done the
> following steps:
> 
> 1. commented out PAM, DES, TCPWrapper, AFS and Kerberos support in the top
> level Makefile.
> 2. Added -DSHADOWPW flag in the etc/afpd/makefile.
> 3. Compiled.
> 4. make kinstalled.
> 5. make installed.
> 6. Copied config/atalkd.conf to my /usr/local/atalk/etc and added "hme0"
> to
> the file.
> 7. Copied config/AppleVolumes.default and AppleVolumes.system to
> /usr/local/atalk/etc dir.
> 8. added lines in /etc/netconfig and /etc/services and double checked a
> few
> times.
> 9. Added /etc/shells file.
> 10. Started atalkd, afpd, papd using /etc/init.d/atalk start command.
> NOW:
> 11. Access the server from a Mac client (System 8.1 or 8.0): guest access
> is ok but no volume is shown.  When access as a "registered user," with a
> wrong password I get "password incorrect, please reenter."  With the
> correct password I get "The connection to this server has been
> unexpectedly
> broken."
> 
> Is anyone experiencing similar problems?  Any thoughts and suggestions are
> greatly appreciated.
> 
> For information only, the machine has Samba installed and running.
> 
> Kao
>